Fork me on GitHub"

# skbio.stats.gradient.GradientANOVA

class `skbio.stats.gradient.``GradientANOVA`(coords, prop_expl, metadata_map, trajectory_categories=None, sort_category=None, axes=3, weighted=False)

  Base class for the Trajectory algorithms

  Parameters:

  coords : pandas.DataFrame

  > The coordinates for each sample id

  prop_expl : array like

  > The numpy 1-D array with the proportion explained by each axis in coords

  metadata_map : pandas.DataFrame

  > The metadata map, indexed by sample ids and columns are metadata categories

  trajectory_categories : list of str, optional

  > A list of metadata categories to use to create the trajectories. If None is passed, the trajectories for all metadata categories are computed. Default: None, compute all of them

  sort_category : str, optional

  > The metadata category to use to sort the trajectories. Default: None

  axes : int, optional

  > The number of axes to account while doing the trajectory specific calculations. Pass 0 to compute all of them. Default: 3

  weighted : bool, optional

  > If true, the output is weighted by the space between samples in the sort_category column

  Raises:

  ValueError

  > If any category of trajectory_categories is not present in metadata_map If sort_category is not present in metadata_map If axes is not between 0 and the maximum number of axes available If weighted is True and no sort_category is provided If weighted is True and the values under sort_category are not numerical If coords and metadata_map does not have samples in common

  Methods

  `get_trajectories`() | Compute the trajectories for each group in each category and run